From 0f492d97889d31ed4fa573b1f934043152bfe438 Mon Sep 17 00:00:00 2001
From: "John K. Harvey" <john.harvey@crunchydata.com>
Date: Wed, 24 Feb 2016 13:13:30 -0500
Subject: [PATCH 1/2] some small macro tweaks to be more accurate

---
 rpm/redhat/9.1/postgresql-jdbc/EL-6/postgresql-jdbc.spec | 14 +++++++-------
 rpm/redhat/9.2/postgresql-jdbc/EL-6/postgresql-jdbc.spec | 14 +++++++-------
 rpm/redhat/9.2/postgresql-jdbc/EL-7/postgresql-jdbc.spec | 14 +++++++-------
 rpm/redhat/9.3/postgresql-jdbc/EL-6/postgresql-jdbc.spec | 14 +++++++-------
 rpm/redhat/9.3/postgresql-jdbc/EL-7/postgresql-jdbc.spec | 14 +++++++-------
 rpm/redhat/9.3/postgresql-jdbc/F-22/postgresql-jdbc.spec | 14 +++++++-------
 rpm/redhat/9.3/postgresql-jdbc/F-23/postgresql-jdbc.spec | 14 +++++++-------
 rpm/redhat/9.4/postgresql-jdbc/EL-6/postgresql-jdbc.spec | 14 +++++++-------
 rpm/redhat/9.4/postgresql-jdbc/EL-7/postgresql-jdbc.spec | 14 +++++++-------
 rpm/redhat/9.4/postgresql-jdbc/F-22/postgresql-jdbc.spec | 14 +++++++-------
 rpm/redhat/9.4/postgresql-jdbc/F-23/postgresql-jdbc.spec | 14 +++++++-------
 rpm/redhat/9.5/postgresql-jdbc/EL-6/postgresql-jdbc.spec | 14 +++++++-------
 rpm/redhat/9.5/postgresql-jdbc/EL-7/postgresql-jdbc.spec | 14 +++++++-------
 rpm/redhat/9.5/postgresql-jdbc/F-22/postgresql-jdbc.spec | 14 +++++++-------
 rpm/redhat/9.5/postgresql-jdbc/F-23/postgresql-jdbc.spec | 14 +++++++-------
 15 files changed, 105 insertions(+), 105 deletions(-)

diff --git a/rpm/redhat/9.1/postgresql-jdbc/EL-6/postgresql-jdbc.spec b/rpm/redhat/9.1/postgresql-jdbc/EL-6/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.1/postgresql-jdbc/EL-6/postgresql-jdbc.spec
+++ b/rpm/redhat/9.1/postgresql-jdbc/EL-6/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
diff --git a/rpm/redhat/9.2/postgresql-jdbc/EL-6/postgresql-jdbc.spec b/rpm/redhat/9.2/postgresql-jdbc/EL-6/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.2/postgresql-jdbc/EL-6/postgresql-jdbc.spec
+++ b/rpm/redhat/9.2/postgresql-jdbc/EL-6/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
diff --git a/rpm/redhat/9.2/postgresql-jdbc/EL-7/postgresql-jdbc.spec b/rpm/redhat/9.2/postgresql-jdbc/EL-7/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.2/postgresql-jdbc/EL-7/postgresql-jdbc.spec
+++ b/rpm/redhat/9.2/postgresql-jdbc/EL-7/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
diff --git a/rpm/redhat/9.3/postgresql-jdbc/EL-6/postgresql-jdbc.spec b/rpm/redhat/9.3/postgresql-jdbc/EL-6/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.3/postgresql-jdbc/EL-6/postgresql-jdbc.spec
+++ b/rpm/redhat/9.3/postgresql-jdbc/EL-6/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
diff --git a/rpm/redhat/9.3/postgresql-jdbc/EL-7/postgresql-jdbc.spec b/rpm/redhat/9.3/postgresql-jdbc/EL-7/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.3/postgresql-jdbc/EL-7/postgresql-jdbc.spec
+++ b/rpm/redhat/9.3/postgresql-jdbc/EL-7/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
diff --git a/rpm/redhat/9.3/postgresql-jdbc/F-22/postgresql-jdbc.spec b/rpm/redhat/9.3/postgresql-jdbc/F-22/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.3/postgresql-jdbc/F-22/postgresql-jdbc.spec
+++ b/rpm/redhat/9.3/postgresql-jdbc/F-22/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
diff --git a/rpm/redhat/9.3/postgresql-jdbc/F-23/postgresql-jdbc.spec b/rpm/redhat/9.3/postgresql-jdbc/F-23/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.3/postgresql-jdbc/F-23/postgresql-jdbc.spec
+++ b/rpm/redhat/9.3/postgresql-jdbc/F-23/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
diff --git a/rpm/redhat/9.4/postgresql-jdbc/EL-6/postgresql-jdbc.spec b/rpm/redhat/9.4/postgresql-jdbc/EL-6/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.4/postgresql-jdbc/EL-6/postgresql-jdbc.spec
+++ b/rpm/redhat/9.4/postgresql-jdbc/EL-6/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
diff --git a/rpm/redhat/9.4/postgresql-jdbc/EL-7/postgresql-jdbc.spec b/rpm/redhat/9.4/postgresql-jdbc/EL-7/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.4/postgresql-jdbc/EL-7/postgresql-jdbc.spec
+++ b/rpm/redhat/9.4/postgresql-jdbc/EL-7/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
diff --git a/rpm/redhat/9.4/postgresql-jdbc/F-22/postgresql-jdbc.spec b/rpm/redhat/9.4/postgresql-jdbc/F-22/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.4/postgresql-jdbc/F-22/postgresql-jdbc.spec
+++ b/rpm/redhat/9.4/postgresql-jdbc/F-22/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
diff --git a/rpm/redhat/9.4/postgresql-jdbc/F-23/postgresql-jdbc.spec b/rpm/redhat/9.4/postgresql-jdbc/F-23/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.4/postgresql-jdbc/F-23/postgresql-jdbc.spec
+++ b/rpm/redhat/9.4/postgresql-jdbc/F-23/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
diff --git a/rpm/redhat/9.5/postgresql-jdbc/EL-6/postgresql-jdbc.spec b/rpm/redhat/9.5/postgresql-jdbc/EL-6/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.5/postgresql-jdbc/EL-6/postgresql-jdbc.spec
+++ b/rpm/redhat/9.5/postgresql-jdbc/EL-6/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
diff --git a/rpm/redhat/9.5/postgresql-jdbc/EL-7/postgresql-jdbc.spec b/rpm/redhat/9.5/postgresql-jdbc/EL-7/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.5/postgresql-jdbc/EL-7/postgresql-jdbc.spec
+++ b/rpm/redhat/9.5/postgresql-jdbc/EL-7/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
diff --git a/rpm/redhat/9.5/postgresql-jdbc/F-22/postgresql-jdbc.spec b/rpm/redhat/9.5/postgresql-jdbc/F-22/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.5/postgresql-jdbc/F-22/postgresql-jdbc.spec
+++ b/rpm/redhat/9.5/postgresql-jdbc/F-22/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
diff --git a/rpm/redhat/9.5/postgresql-jdbc/F-23/postgresql-jdbc.spec b/rpm/redhat/9.5/postgresql-jdbc/F-23/postgresql-jdbc.spec
index dffac07..477649d 100644
--- a/rpm/redhat/9.5/postgresql-jdbc/F-23/postgresql-jdbc.spec
+++ b/rpm/redhat/9.5/postgresql-jdbc/F-23/postgresql-jdbc.spec
@@ -71,9 +71,9 @@ mvn -DskipTests -P release-artifacts clean package
 pushd %{buildroot}%{_javadir}
 # Also, for backwards compatibility with our old postgresql-jdbc packages,
 # add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc2ee.jar
-%{__ln_s} postgresql-jdbc.jar postgresql-jdbc3.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2.jar
+%{__ln_s} %{name}.jar postgresql-jdbc2ee.jar
+%{__ln_s} %{name}.jar postgresql-jdbc3.jar
 popd
 
 # Install the pom after inserting the correct version number
@@ -111,12 +111,12 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 %if 0%{?rhel} && 0%{?rhel} <= 6
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
-%{_javadir}/postgresql-jdbc.jar
+%{_javadir}/%{name}.jar
 %{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
 %endif
-%{_javadir}/%{name}2.jar
-%{_javadir}/%{name}2ee.jar
-%{_javadir}/%{name}3.jar
+%{_javadir}/postgresql-jdbc2.jar
+%{_javadir}/postgresql-jdbc2ee.jar
+%{_javadir}/postgresql-jdbc3.jar
 
 %files javadoc
 %doc LICENSE
-- 
2.5.0


From 8604a797072700022f1375f6013eeba376baff20 Mon Sep 17 00:00:00 2001
From: "John K. Harvey" <john.harvey@crunchydata.com>
Date: Wed, 24 Feb 2016 13:34:22 -0500
Subject: [PATCH 2/2] one additional fix

---
 rpm/redhat/9.1/postgresql-jdbc/EL-6/postgresql-jdbc.spec | 2 +-
 rpm/redhat/9.2/postgresql-jdbc/EL-6/postgresql-jdbc.spec | 2 +-
 rpm/redhat/9.2/postgresql-jdbc/EL-7/postgresql-jdbc.spec | 2 +-
 rpm/redhat/9.3/postgresql-jdbc/EL-6/postgresql-jdbc.spec | 2 +-
 rpm/redhat/9.3/postgresql-jdbc/EL-7/postgresql-jdbc.spec | 2 +-
 rpm/redhat/9.3/postgresql-jdbc/F-22/postgresql-jdbc.spec | 2 +-
 rpm/redhat/9.3/postgresql-jdbc/F-23/postgresql-jdbc.spec | 2 +-
 rpm/redhat/9.4/postgresql-jdbc/EL-6/postgresql-jdbc.spec | 2 +-
 rpm/redhat/9.4/postgresql-jdbc/EL-7/postgresql-jdbc.spec | 2 +-
 rpm/redhat/9.4/postgresql-jdbc/F-22/postgresql-jdbc.spec | 2 +-
 rpm/redhat/9.4/postgresql-jdbc/F-23/postgresql-jdbc.spec | 2 +-
 rpm/redhat/9.5/postgresql-jdbc/EL-6/postgresql-jdbc.spec | 2 +-
 rpm/redhat/9.5/postgresql-jdbc/EL-7/postgresql-jdbc.spec | 2 +-
 rpm/redhat/9.5/postgresql-jdbc/F-22/postgresql-jdbc.spec | 2 +-
 rpm/redhat/9.5/postgresql-jdbc/F-23/postgresql-jdbc.spec | 2 +-
 15 files changed, 15 insertions(+), 15 deletions(-)

diff --git a/rpm/redhat/9.1/postgresql-jdbc/EL-6/postgresql-jdbc.spec b/rpm/redhat/9.1/postgresql-jdbc/EL-6/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.1/postgresql-jdbc/EL-6/postgresql-jdbc.spec
+++ b/rpm/redhat/9.1/postgresql-jdbc/EL-6/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
diff --git a/rpm/redhat/9.2/postgresql-jdbc/EL-6/postgresql-jdbc.spec b/rpm/redhat/9.2/postgresql-jdbc/EL-6/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.2/postgresql-jdbc/EL-6/postgresql-jdbc.spec
+++ b/rpm/redhat/9.2/postgresql-jdbc/EL-6/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
diff --git a/rpm/redhat/9.2/postgresql-jdbc/EL-7/postgresql-jdbc.spec b/rpm/redhat/9.2/postgresql-jdbc/EL-7/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.2/postgresql-jdbc/EL-7/postgresql-jdbc.spec
+++ b/rpm/redhat/9.2/postgresql-jdbc/EL-7/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
diff --git a/rpm/redhat/9.3/postgresql-jdbc/EL-6/postgresql-jdbc.spec b/rpm/redhat/9.3/postgresql-jdbc/EL-6/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.3/postgresql-jdbc/EL-6/postgresql-jdbc.spec
+++ b/rpm/redhat/9.3/postgresql-jdbc/EL-6/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
diff --git a/rpm/redhat/9.3/postgresql-jdbc/EL-7/postgresql-jdbc.spec b/rpm/redhat/9.3/postgresql-jdbc/EL-7/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.3/postgresql-jdbc/EL-7/postgresql-jdbc.spec
+++ b/rpm/redhat/9.3/postgresql-jdbc/EL-7/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
diff --git a/rpm/redhat/9.3/postgresql-jdbc/F-22/postgresql-jdbc.spec b/rpm/redhat/9.3/postgresql-jdbc/F-22/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.3/postgresql-jdbc/F-22/postgresql-jdbc.spec
+++ b/rpm/redhat/9.3/postgresql-jdbc/F-22/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
diff --git a/rpm/redhat/9.3/postgresql-jdbc/F-23/postgresql-jdbc.spec b/rpm/redhat/9.3/postgresql-jdbc/F-23/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.3/postgresql-jdbc/F-23/postgresql-jdbc.spec
+++ b/rpm/redhat/9.3/postgresql-jdbc/F-23/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
diff --git a/rpm/redhat/9.4/postgresql-jdbc/EL-6/postgresql-jdbc.spec b/rpm/redhat/9.4/postgresql-jdbc/EL-6/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.4/postgresql-jdbc/EL-6/postgresql-jdbc.spec
+++ b/rpm/redhat/9.4/postgresql-jdbc/EL-6/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
diff --git a/rpm/redhat/9.4/postgresql-jdbc/EL-7/postgresql-jdbc.spec b/rpm/redhat/9.4/postgresql-jdbc/EL-7/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.4/postgresql-jdbc/EL-7/postgresql-jdbc.spec
+++ b/rpm/redhat/9.4/postgresql-jdbc/EL-7/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
diff --git a/rpm/redhat/9.4/postgresql-jdbc/F-22/postgresql-jdbc.spec b/rpm/redhat/9.4/postgresql-jdbc/F-22/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.4/postgresql-jdbc/F-22/postgresql-jdbc.spec
+++ b/rpm/redhat/9.4/postgresql-jdbc/F-22/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
diff --git a/rpm/redhat/9.4/postgresql-jdbc/F-23/postgresql-jdbc.spec b/rpm/redhat/9.4/postgresql-jdbc/F-23/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.4/postgresql-jdbc/F-23/postgresql-jdbc.spec
+++ b/rpm/redhat/9.4/postgresql-jdbc/F-23/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
diff --git a/rpm/redhat/9.5/postgresql-jdbc/EL-6/postgresql-jdbc.spec b/rpm/redhat/9.5/postgresql-jdbc/EL-6/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.5/postgresql-jdbc/EL-6/postgresql-jdbc.spec
+++ b/rpm/redhat/9.5/postgresql-jdbc/EL-6/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
diff --git a/rpm/redhat/9.5/postgresql-jdbc/EL-7/postgresql-jdbc.spec b/rpm/redhat/9.5/postgresql-jdbc/EL-7/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.5/postgresql-jdbc/EL-7/postgresql-jdbc.spec
+++ b/rpm/redhat/9.5/postgresql-jdbc/EL-7/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
diff --git a/rpm/redhat/9.5/postgresql-jdbc/F-22/postgresql-jdbc.spec b/rpm/redhat/9.5/postgresql-jdbc/F-22/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.5/postgresql-jdbc/F-22/postgresql-jdbc.spec
+++ b/rpm/redhat/9.5/postgresql-jdbc/F-22/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
diff --git a/rpm/redhat/9.5/postgresql-jdbc/F-23/postgresql-jdbc.spec b/rpm/redhat/9.5/postgresql-jdbc/F-23/postgresql-jdbc.spec
index 477649d..cab03d7 100644
--- a/rpm/redhat/9.5/postgresql-jdbc/F-23/postgresql-jdbc.spec
+++ b/rpm/redhat/9.5/postgresql-jdbc/F-23/postgresql-jdbc.spec
@@ -112,7 +112,7 @@ test $? -eq 0 && { cat test.log ; exit 1 ; }
 # These files are installed with the other distros, but we don't need to list
 # them on newer ones, as they are picked up by .mfiles above.
 %{_javadir}/%{name}.jar
-%{_datadir}/maven2/poms/JPP-postgresql-jdbc.pom
+%{_datadir}/maven2/poms/JPP-%{name}.pom
 %endif
 %{_javadir}/postgresql-jdbc2.jar
 %{_javadir}/postgresql-jdbc2ee.jar
-- 
2.5.0

